Bug 831636 - Intermittent data corruption after upgrade to fedora 17
Intermittent data corruption after upgrade to fedora 17
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-13 09:40 EDT by Adrian Reber
Modified: 2012-09-11 14:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-11 14:38:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2012-06-13 09:40:47 EDT
We are running a relatively big mirror server (20TB, 64GB RAM) and have updated from Fedora 14 to Fedora 17. Since running Fedora 17 we have reports of data corruption after the download. It does not happen always but only sometimes. It is hard which part should be blamed so I selected the kernel.

Running md5sum on the disk gives always the correct checksum. After downloading the file there are different checksums:

root@rhlx01:/ftp/ubuntu/dists/lucid/main/binary-amd64 # md5sum Packages.bz2 
f9f2c23454c2e8d6b87cc65fc475900f  Packages.bz2

wget http://ftp-stud.hs-esslingen.de/ubuntu/dists/lucid/main/binary-amd64/Packages.bz2 # three times

$ md5sum Packages.bz2*
fc45e437a1680b7955c2b713d5f5b764  Packages.bz2
f9f2c23454c2e8d6b87cc65fc475900f  Packages.bz2.1
f9f2c23454c2e8d6b87cc65fc475900f  Packages.bz2.2

We are running following kernel: kernel-3.4.0-1.fc17.x86_64

Our RAIDs are connected over Fibre Channel. One is using the ql2xxx driver and the other is using the mptfc driver.

I will try to downgrade to 3.3.4-5.fc17 to see if that helps.
Comment 1 Adrian Reber 2012-06-18 15:50:58 EDT
It seems it now also has happened on my notebook. Copying image files from a SD card to the hard disk created corrupted JPEGs.
Comment 2 Justin M. Forbes 2012-09-11 12:00:06 EDT
Is this still happening with 3.5.3 kernels in updates?
Comment 3 Adrian Reber 2012-09-11 14:38:47 EDT
No, this has been fixed sometimes during 3.4.x

Note You need to log in before you can comment on or make changes to this bug.